com.sun.grid.jgdi

## Class JGDIException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - com.sun.grid.jgdi.JGDIException

- All Implemented Interfaces:
    java.io.Serializable

      public class JGDIException
      extends java.rmi.RemoteException

  Base exception class for all errors on the GDI layer.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDIException()` Creates a new instance of JGDIException
    `JGDIException(java.lang.String msg)`
    `JGDIException(java.lang.String msg, int exitCode)`
    `JGDIException(java.lang.String msg, int exitCode, java.lang.Object... params)`
    `JGDIException(java.lang.String msg, java.lang.Object... params)`
    `JGDIException(java.lang.Throwable ex, java.lang.String msg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getExitCode()`

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JGDIException

          public JGDIException()

      Creates a new instance of JGDIException

    - #### JGDIException

          public JGDIException(java.lang.String msg)

    - #### JGDIException

          public JGDIException(java.lang.String msg,
                               int exitCode)

    - #### JGDIException

          public JGDIException(java.lang.Throwable ex,
                               java.lang.String msg)

    - #### JGDIException

          public JGDIException(java.lang.String msg,
                               java.lang.Object... params)

    - #### JGDIException

          public JGDIException(java.lang.String msg,
                               int exitCode,
                               java.lang.Object... params)

  - ### Method Detail

    - #### getExitCode

          public int getExitCode()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.